//+------------------------------------------------------------------+
//|                                                      Logging.mq4 |
//|                          Copyright  2008, Empryean Software Ltd |
//|                                      http://finance.empryean.com |
//|                                                                  |
//|  19 Feb 2008 1.1 Tinashe B Chipomho                              |
//|                  Initial version                                 |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Empryean Software Ltd"
#property link      "http://finance.empryean.com"

#define FIBO_LEVEL_PIVOT 0
#define FIBO_LEVEL_R3 1
#define FIBO_LEVEL_R2 2
#define FIBO_LEVEL_R1 3

#define FIBO_LEVEL_S1 4
#define FIBO_LEVEL_S2 5
#define FIBO_LEVEL_S3 6

#import "Fibonacci.ex4"
  void Fibonacci.GetSupportResistance(double& prices[], int index, int period=PERIOD_D1);
  string Fibonacci.LevelShortDescription(int level);
  string Fibonacci.LevelDescription(int level);
  double Fibonacci.GetSupportStopLoss(double prices[],int level);
  double Fibonacci.GetResistanceStopLoss(double prices[],int level);

